#!/usr/bin/env python3

"""
see: https://www.postgresqltutorial.com/postgresql-python/connect/

Dhya  Sat, 05 Mar 2022 01:00:10 -0700
"""

class CertInfo:
    """Class to contain certificate info"""
    def __init__(self, name):
        self.name = name

    def set_x509_cert(self, x509_cert):
        self.x509_cert = x509_cert

    def get_x509_cert(self):
        return self.x509_cert

    def set_cn(self, common_name):
        self.common_name = common_name

    def get_cn(self):
        return self.common_name

    def set_issuer(self, issuer):
        self.issuer = issuer

    def get_issuer(self):
        return self.issuer

    def set_not_valid_before(self, not_valid_before):
        self.not_valid_before = not_valid_before

    def get_not_valid_before(self):
        return self.not_valid_before

    def set_not_valid_after(self, not_valid_after):
        self.not_valid_after = not_valid_after

    def get_not_valid_after(self):
        return self.not_valid_after

    def set_last_checked(self, last_checked):
        self.last_checked = last_checked

    def get_last_checked(self):
        return self.last_checked

